### -*-sh-*-
###
### Common functions for mirror scripts.

rsync_timeout=60

standard_rsync () {
  for i in 1 2 3 4 5; do
    set +e
    rsync --recursive \
      --verbose \
      --timeout=$rsync_timeout \
      --times --omit-dir-times \
      --links --safe-links \
      --delete-delay --delete-excluded --delay-updates \
      --chmod=ug=rw,o=r,Dg+s,Da+x --perms \
      "$@"
    rc=$?
    set -e
    case $rc in
      30) ;;
      *) return $rc ;;
    esac
    echo >&2 "rsync connection timed out: retrying"
  done
  return 30
}
